%define module  virtinst
%define name    python-%{name}
%define version 0.300.3
%define release %mkrel 1

Name: 		python-%{module}
Version: 	%{version}
Release: 	%{release}
Summary:    Python modules for starting Xen guest installations
License:    GPL
Group: 		Development/Python
Url:        http://virt-manager.et.redhat.com/
Source:     http://virt-manager.et.redhat.com/download/sources/virtinst/%{module}-%{version}.tar.gz
Requires:       python-libvirt >= 0.1.4-4
Requires:       python-urlgrabber
BuildRequires:  python-devel
BuildRequires:  python-libvirt
BuildRequires:  python-libxml2
BuildRequires:  python-urlgrabber
BuildArch:      noarch
ExcludeArch:    ppc ppc64 s390 s390x 
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
virtinst is a module to help in starting installations of Fedora/Red
Hat Enterprise Linux related distributions inside of virtual machines.  It
supports both paravirt guests (for which only FC and RHEL guests are
currently supported) as well as fully virtualized guests.  It uses
libvirt (http://www.libvirt.org) for starting things.

Also contained is a simple script virt-install which uses
virtinst in a command line mode.

%prep
%setup -q -n %{module}-%{version} 

%build
python setup.py build

%install
rm -rf %{buildroot}
python setup.py install --root=%{buildroot}
mkdir -p %{buildroot}/%{_sbindir}
mv %{buildroot}/%{_bindir}/virt-install %{buildroot}/%{_sbindir}/virt-install

ln -s virtinst %{buildroot}%{python_sitelib}/xeninst
ln -s virt-install %{buildroot}/%{_sbindir}/xenguest-install

%find_lang virtinst

%clean
rm -rf %{buildroot}

%files -f virtinst.lang
%defattr(-,root,root)
%doc README
%{python_sitelib}/virtinst
%{python_sitelib}/xeninst
%{python_sitelib}/*.egg-info
%{_bindir}/virt-clone
%{_bindir}/virt-image
%{_sbindir}/virt-install
%{_sbindir}/xenguest-install
%{_mandir}/man1/virt-clone.1*
%{_mandir}/man1/virt-image.1*
%{_mandir}/man1/virt-install.1*
%{_mandir}/man5/virt-image.5*


%changelog
* Thu Aug 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.300.3-1mdv2009.0
+ Revision: 272028
- new version

* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.300.1-5mdv2009.0
+ Revision: 259860
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.300.1-4mdv2009.0
+ Revision: 247708
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Nov 12 2007 Funda Wang <fundawang@mandriva.org> 0.300.1-2mdv2008.1
+ Revision: 108178
- rebuild for new lzma

* Fri Nov 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.300.1-1mdv2008.1
+ Revision: 105240
- new version

* Sun Sep 16 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.300.0-1mdv2008.0
+ Revision: 88790
- new version (fix #33395)

* Sat Jun 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.103.0-1mdv2008.0
+ Revision: 34681
- new version


* Fri Feb 23 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.101.0-1mdv2007.0
+ Revision: 125025
- new version

* Wed Dec 13 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.98.0-2mdv2007.1
+ Revision: 96465
- fix dependencies

* Wed Dec 13 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.98.0-1mdv2007.1
+ Revision: 96404
- fix build dependencies
- Import python-virtinst

* Wed Dec 13 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.98.0-1mdv2007.1
- first mdv release

